Loading...
Searching...
No Matches
OpenSimplexNoise.h File Reference

Methods for generating OpenSimplexNoise (n-dimensional gradient noise). More...

`#include <openvdb/version.h>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | OSNoise

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::ax
namespace | openvdb::v10_0::ax::math
namespace | OSN

## Functions

template<typename NoiseT>
void | curlnoise (double(*out)[3], const double(*in)[3])
template<typename NoiseT>
void | curlnoise (double(*out)[3], double x, double y, double z)

## Detailed Description

Methods for generating OpenSimplexNoise (n-dimensional gradient noise).

Authors
  Francisco Gochez

This code is based on https://gist.github.com/tombsar/716134ec71d1b8c1b530 (accessed on 22/05/2019). We have simplified that code in a number of ways, most notably by removing the template on dimension (this only generates 3 dimensional noise) and removing the base class as it's unnecessary for our uses. We also assume C++ 2011 or above and have thus removed a number of ifdef blocks.

The OSN namespace contains the original copyright.